### Function

# Gtk CustomMeasureFunc

since: 4.0

#### Declaration

    void
    (* GtkCustomMeasureFunc) (
      GtkWidget* widget,
      GtkOrientation orientation,
      int for_size,
      int* minimum,
      int* natural,
      int* minimum_baseline,
      int* natural_baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to measure a widget.

Available since: 4.0

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to be measured.

  The data is owned by the caller of the function.

`orientation`

  Type: `GtkOrientation`

  The direction to be measured.

`for_size`

  Type: `int`

  The size to be measured for.

`minimum`

  Type: `int*`

  The measured minimum size of the widget.

  The argument will be set by the function.

`natural`

  Type: `int*`

  The measured natural size of the widget.

  The argument will be set by the function.

`minimum_baseline`

  Type: `int*`

  The measured minimum baseline of the widget.

  The argument will be set by the function.

`natural_baseline`

  Type: `int*`

  The measured natural baseline of the widget.

  The argument will be set by the function.